/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_com.h
**  13 Jan 2004 : Hydra II communication interface.
**
*/


#ifndef HYDRA_COM_H
#define HYDRA_COM_H 1

#ifdef __cplusplus
    extern "C" {
#endif


/*  defines
------------------------------------------------------------------------------*/
#define HYDRA_COM_CONFIG ("hydra_com.cfg")
#define HYDRA_COM_END_CHAR ("\r")
#define HYDRA_COM_WAIT (250)


/*  headers
------------------------------------------------------------------------------*/
#include <stdbool.h>


/*  typedefs
------------------------------------------------------------------------------*/
typedef struct {
    unsigned short id;
    char port [256];
    char lock [256];
    int fd;
    unsigned long s_addr;
    bool original;
    bool global_member;
    bool strip_id;
    char end_char [2];
    unsigned short ms_timeout;
} Device;


/*  globals 
------------------------------------------------------------------------------*/
extern bool VERBOSE;
extern char CL [];

enum {
    REAL_COMMUNICATION = 0x01,
    IGNORE_LOCK = 0x02
};
    

/*  prototypes
------------------------------------------------------------------------------*/
int broadcast (char *cl, char *reply[]);
int com_end (void);
int com_init (const char *cfg_file, const char *end_char, unsigned short ms_timeout, unsigned char mode);
int get_cl (const char *prompt);
int hc_log (int pipe, char *msg);
int singlecast (char *cl, char *reply[]);


/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_COM_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_COM_H */
