/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_com_private.h
**  13 Jan 2004 : Hydra II communication private interface.
**
*/


#ifndef HYDRA_COM_PRIVATE_H
#define HYDRA_COM_PRIVATE_H 1

#ifdef __cplusplus
    extern "C" {
#endif


/*  defines
------------------------------------------------------------------------------*/
#define MODULE_NAME "hydra_com"
#define MODULE_VERSION "1.0"

#define HC_DEVICES_MAX (10)
#define HC_BUF_SIZE (1024)
#define HC_ISERVER_PORT (2000)


/*  headers
------------------------------------------------------------------------------*/
#include <stdio.h>
#include <limits.h>
#include <stdlib.h>
#include <string.h>
#include <stdint.h>
#include <stdbool.h>
#include <readline/readline.h>
#include <readline/history.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <unistd.h>
#include <termios.h>    
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>

#include "hydra_common.h"
#include "hydra_log.h" 
#include "hydra_com.h"


/*  typedefs
------------------------------------------------------------------------------*/


/*  globals 
------------------------------------------------------------------------------*/


/*  prototypes
------------------------------------------------------------------------------*/
static int device_lock (Device *device);
static int device_unlock (Device *device);
static int open_serial (Device *device);
static int open_socket (Device *device);
static int ports_close (void);
static int ports_open (void);
static int rd_cfg (const char *file_name);
static int talk (Device *device, char *cmd, char *reply[]);


/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_COM_PRIVATE_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_COM_PRIVATE_H */
