/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_common.h
**  16 Feb 2004
**
*/


#ifndef HYDRA_COMMON_H
#define HYDRA_COMMON_H 1

#ifdef __cplusplus
    extern "C" {
#endif


/*  defines
------------------------------------------------------------------------------*/
#ifndef MODULE_NAME
#define MODULE_NAME "Hydra II"
#endif

#ifndef MODULE_VERSION
#define MODULE_VERSION "1.0"
#endif

// PLEASE DO NOT EDIT THE FOLLOWING LINE!
#define BUILD_NUMBER (0) 
// Automatically updated by Makefile


/*  headers
------------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdbool.h>


/*  typedefs
------------------------------------------------------------------------------*/
typedef struct {
    long x, y;
} Point;


/*  globals 
------------------------------------------------------------------------------*/
#ifdef HYDRA_TWO_NAMESPACE
enum {ERR = -1, OK};
enum {FALSE, TRUE}; // to avoid clash with Hydra I we add the underscores
#endif
enum System {HYDRA_ONE, HYDRA_TWO};
typedef enum System System;

// flag to reduce speed for fops to 1/3 of regular fibers.
extern bool THIS_FIBER_IS_FOP;


/*  prototypes
------------------------------------------------------------------------------*/


/*  inlines
------------------------------------------------------------------------------*/
inline static char *version (void)
{
    static char info [256];

    sprintf (info, "%s version %s.%d (built: %s @ %s)", 
             MODULE_NAME, MODULE_VERSION, BUILD_NUMBER, __DATE__, __TIME__);

    return info;
}


/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_COMMON_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_COMMON_H */
