/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_log.h
**  12 Feb 2004 : Thread-safe logging interface.
**
*/


#ifndef HYDRA_LOG_H
#define HYDRA_LOG_H

#ifdef __cplusplus
    extern "C" {
#endif


/*  headers
------------------------------------------------------------------------------*/
#include <stdio.h>


/*  typedefs
------------------------------------------------------------------------------*/
typedef struct {
    FILE *file;
    char tag [128];
} Log_Unit;


/*  globals 
------------------------------------------------------------------------------*/


/*  prototypes
------------------------------------------------------------------------------*/
int log_init (Log_Unit *lu);
int log_it (Log_Unit *lu, int pipe, char *msg);


/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_LOG_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_LOG_H */
