/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_mc.h
**  9 Aug 2004 : Hydra II 8051 microcontroller interface.
**
*/


#ifndef HYDRA_MC_H
#define HYDRA_MC_H 1

#ifdef __cplusplus
    extern "C" {
#endif

        
/*  defines
------------------------------------------------------------------------------*/


/*  headers
------------------------------------------------------------------------------*/
#include <stdbool.h>

#include "instruction_set.h"


/*  typedefs
------------------------------------------------------------------------------*/


/*  globals 
------------------------------------------------------------------------------*/
extern Set is_8051;

// RE-0
// Note that bits 0-3 are reverse logic.
enum {
    _ON_42V_    = 0x00,
    _OFF_5V_    = 0x01, // bit 0
    _OFF_24V_   = 0x02, // bit 1
    _OFF_12V_   = 0x04, // bit 2
    _OFF_42V_   = 0x08, // bit 3
    _PANIC_SW1_ = 0x40, // bit 6
    _PANIC_SW2_ = 0x80  // bit 7
};


/*  prototypes
------------------------------------------------------------------------------*/
int mc_exe_cmd (char *name);
int mc_init (void);
int mc_log (int pipe, char *msg);


/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_MC_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_MC_H */
