/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_mc_test.c
**  9 Aug 2004 : Hydra II 8051 microcontroller module test program.
**
*/


/*  headers
------------------------------------------------------------------------------*/
#include <stdio.h>
#include <string.h>
#include <unistd.h>

#include "hydra_common.h"
#include "hydra_com.h"
#include "hydra_mc.h"


/*  globals 
------------------------------------------------------------------------------*/


/*==============================================================================
**  main
**
*/
int main (void)
{
    char msg [256];
    unsigned i;

    com_init (HYDRA_COM_CONFIG, HYDRA_COM_END_CHAR, HYDRA_COM_WAIT, REAL_COMMUNICATION | IGNORE_LOCK);
    mc_init();

    for (i = 0; i != is_8051.arr_sz; ++i)
    {
        pInst s = (pInst) is_8051.arr + i;
        sprintf (msg, "testing [%s]...\n", s->name);
        fprintf (stdout, msg);
        mc_log (0, msg);
        s->fnc (s);
        sprintf (msg, "\t%s\n", s->failed ? "FAIL" : "OK");
        fprintf (stdout, msg);
        mc_log (0, msg);

        if (strcmp (s->name, "motors disable") == 0)
            sleep (10);
        else
            sleep (2);
            
    }
    
    /*
    puts ("turning motor power off...\n");

    if (mc_exe_cmd ("motors disable") == ERR)
    {
        puts ("\tFAIL\n");
    }
    else
    {
        puts ("\tOK\n");
    }

    sleep (10);

    puts ("turning motor power on...\n");

    if (mc_exe_cmd ("motors enable") == ERR)
    {
        puts ("\tFAIL\n");
    }
    else
    {
        puts ("\tOK\n");
    }
    */
    
    return 0;
}
