/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_models.h
**  11 Jun 2004 : Hydra II models interface.
**
*/


#ifndef HYDRA_MODELS_H
#define HYDRA_MODELS_H

#ifdef __cplusplus
    extern "C" {
#endif


/*  defines
------------------------------------------------------------------------------*/
#define ROTATION (0)
#define NONORTHO (0)
#define OFFSET_X (0)
#define OFFSET_Y (0)


/*  headers
------------------------------------------------------------------------------*/
#include "hydra_common.h"


/*  typedefs
------------------------------------------------------------------------------*/


/*  globals 
------------------------------------------------------------------------------*/


/*  prototypes
------------------------------------------------------------------------------*/
Point model_geometry (Point *p);
Point model_temperature (Point *p, double temp_in_f);


/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_MODELS_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_MODELS_H */
