/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_sleep.h
**  12 Feb 2004 : High resolution (10 ms) sleep interface.
**
*/


#ifndef HYDRA_SLEEP_H
#define HYDRA_SLEEP_H

#ifdef __cplusplus
    extern "C" {
#endif


/*  headers
------------------------------------------------------------------------------*/


/*  typedefs
------------------------------------------------------------------------------*/
typedef struct {
    unsigned long s;
    unsigned long ms;
} Hydra_Time;


/*  globals 
------------------------------------------------------------------------------*/


/*  prototypes
------------------------------------------------------------------------------*/
int sleep_s_ms (const unsigned long s, const unsigned long ms);
int hydra_sleep (Hydra_Time *tp);


/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_SLEEP_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_SLEEP_H */
