/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_sm.h
**  3 Feb 2004 : Hydra II Smart Motor interface.
**
*/


#ifndef HYDRA_SM_H
#define HYDRA_SM_H 1

#ifdef __cplusplus
    extern "C" {
#endif

        
/*  defines
------------------------------------------------------------------------------*/
#ifdef HYDRA_TWO_NAMESPACE
#define MOTOR(I, J) ((hydra.axis[I]).sm[J])
#endif
#define AXIS(I) (hydra.axis[I])


/*  headers
------------------------------------------------------------------------------*/
#include <stdbool.h>

#include "hydra_common.h"
#include "hydra_sleep.h"
#include "smart_motor.h"


/*  typedefs
------------------------------------------------------------------------------*/
typedef struct {
    Axis *axis;
    unsigned short dim;
} Instrument;

/*  globals 
------------------------------------------------------------------------------*/
extern Instrument hydra;
extern bool POS_ABSOLUTE;
extern bool XYZ_NEEDS_INIT;
extern bool EXPERT_USER;
extern bool HYDRA_SAFE_MODE;


/*  prototypes
------------------------------------------------------------------------------*/
int init_xyz (void);
int _move_z_ (long p, bool safe_mode);
int sm_init (void);
int sm_log (int pipe, char *msg);
int _move_xy_ (Point *p, bool safe_mode);


/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_SM_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_SM_H */
