/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_sm_protected.h
**  25 Jun 2004 : Hydra II Smart Motor protected interface.
**
*/


#ifndef HYDRA_SM_PROTECTED_H
#define HYDRA_SM_PROTECTED_H

#ifdef __cplusplus
    extern "C" {
#endif


/*  headers
------------------------------------------------------------------------------*/
#include "hydra_sm.h"


/*  typedefs
------------------------------------------------------------------------------*/


/*  globals 
------------------------------------------------------------------------------*/
enum {X, Y, Z};


/*  prototypes
------------------------------------------------------------------------------*/
int axes_reset (bool except_z);
int init_xy (void);
int init_z (void);
int park (void);
int servo (void);
int servo_xy (void);
int servo_z (void);
void test_run (char mode);


/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_SM_PROTECTED_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_SM_PROTECTED_H */
