/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_system.h
**  11 Aug 2004 : Hydra II integration of Smart Motors and 8051 interface.
**
*/


#ifndef HYDRA_SYSTEM_H
#define HYDRA_SYSTEM_H

#ifdef __cplusplus
    extern "C" {
#endif


/*  headers
------------------------------------------------------------------------------*/
#include "hydra_common.h"


/*  typedefs
------------------------------------------------------------------------------*/


/*  globals 
------------------------------------------------------------------------------*/
enum {
    DROP_PARK,
    DROP_PLATE,
    PICK_PARK,
    PICK_PLATE
};


/*  prototypes
------------------------------------------------------------------------------*/
void hydra_shutdown (void);
void hydra_startup (void);
int move_xy (long x, long y, System system);
int move_z (long z);
int pick_n_drop (unsigned mode);


/* 
------------------------------------------------------------------------------*/
#ifdef HYDRA_SYSTEM_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* HYDRA_SYSTEM_H */
