/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  hydra_syetm_test.c
**  11 Aug 2004 : Hydra II integration of Smart Motors and 8051 test module.
**
*/


/*  headers
------------------------------------------------------------------------------*/
#include <stdio.h>
#include <string.h>
#include <unistd.h>

#include "hydra_common.h"
#include "hydra_system.h"
#include "hydra_config.h"


/*  globals 
------------------------------------------------------------------------------*/


/*==============================================================================
**  main
**
*/
int main (void)
{
    puts ("startup...\n");
    hydra_startup();
    sleep (10);

    puts ("\ngoing to [100000, 100000]\n\n");
    sleep (2);
    move_xy (100000, 100000, HYDRA_TWO);
    sleep (10);

    puts ("\ngoing to [0, 0]\n");
    sleep (2);
    move_xy (0, 0, HYDRA_TWO);
    sleep (10);

    puts ("\ngoing to plate\n");
    sleep (2);
    move_z (Z_PLATE);
    sleep (10);

    puts ("\ngoing to park\n");
    sleep (2);
    move_z (Z_PARK);
    sleep (10);

    puts ("\ntry going to [10000, 10000]\n");
    sleep (2);
    move_xy (10000, 10000, HYDRA_ONE);
    sleep (10);

    puts ("\ngoing to cruise\n");
    sleep (2);
    move_z (Z_CRUISE);
    sleep (10);
    
    puts ("\ntry again going to [10000, 10000]\n");
    sleep (2);
    move_xy (10000, 10000, HYDRA_ONE);
    sleep (10);

    /*
    puts ("\ndrop park sequence\n");
    sleep (5);
    pick_n_drop (DROP_PARK);
    sleep (20);

    puts ("\ndrop plate sequence\n");
    sleep (5);
    pick_n_drop (DROP_PLATE);
    sleep (10);

    puts ("\npick park sequence\n");
    sleep (5);
    pick_n_drop (PICK_PARK);
    sleep (10);

    puts ("\npick plate sequence\n");
    sleep (5);
    pick_n_drop (PICK_PLATE);
    sleep (10);
    */

    /*
    puts ("shutdown...\n");
    hydra_shutdown();
    */

    return 0;
}
