/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  instruction_set.h
**
*/


#ifndef INSTRUCTION_SET_H
#define INSTRUCTION_SET_H

#ifdef __cplusplus
    extern "C" {
#endif


/*  defines
------------------------------------------------------------------------------*/


/*  headers
------------------------------------------------------------------------------*/
#include <stdbool.h>


/*  typedefs
------------------------------------------------------------------------------*/
typedef struct {
    void *arr;
    unsigned long arr_sz;
    int (*fnc_cmp) (const void *a, const void *b);
} Set;

typedef struct instruction {
    char *name; 
    char *map; 
    char *status_cmd;
    unsigned mask;
    bool failed;

    union {
        unsigned long reg_int;
        double reg_dbl;
        char reg_chr [32];
    } state;

    void (*fnc) (struct instruction *self);
} Instruct;

typedef Instruct * pInst;
    

/*  globals 
------------------------------------------------------------------------------*/


/*  prototypes
------------------------------------------------------------------------------*/


/* 
------------------------------------------------------------------------------*/
#ifdef INSTRUCTION_SET_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* INSTRUCTION_SET_H */
