/*
    Copyright  2004 NOAO

    Behzad Abareshi <behzad@noao.edu>
    National Optical Astronomy Observatories
    950 N Cherry Ave, Tucson AZ 85719, USA
------------------------------------------------------------------------------*/


/*
**  smart_motor_private.h
**  3 Feb 2004 : Instrument-neutral Smart Motor private interface.
**
*/


#ifndef SMART_MOTOR_PRIVATE_H
#define SMART_MOTOR_PRIVATE_H 1

#ifdef __cplusplus
    extern "C" {
#endif


/*  defines
------------------------------------------------------------------------------*/
#define MODULE_NAME "smart_motor"
#define MODULE_VERSION "1.0"


/*  headers
------------------------------------------------------------------------------*/
#include <stdio.h>
#include <limits.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <time.h>
#include <stdbool.h>
#include <getopt.h>
#include <readline/readline.h>
#include <readline/history.h>
#include <ctype.h>
#include <unistd.h>
#include <sys/types.h>
#include <signal.h>
#include <sys/wait.h>

#include "hydra_common.h"
#include "hydra_log.h"
#include "hydra_com.h"
#include "smart_motor.h"
#include "smart_motor_protected.h"


/*  typedefs
------------------------------------------------------------------------------*/


/*  globals 
------------------------------------------------------------------------------*/


/*  prototypes
------------------------------------------------------------------------------*/
static int motor_pv (Smart_Motor *sm);
static int motor_status (Smart_Motor *sm);


/* 
------------------------------------------------------------------------------*/
#ifdef SMART_MOTOR_PRIVATE_H_TEST
int main (void)
{
    return 0;
}
#endif

#ifdef __cplusplus
    } 
#endif

#endif /* SMART_MOTOR_PRIVATE_H */
