#include <stdio.h>
#include "motor.h"
#include "errors.h"

int global_preset_mode ()
{
    int error;
    char command[20];

    (void) sprintf (command, "MN ");

    error = send_it (command);

    return (error);

}

int global_continuous_mode ()
{
    int error;
    char command[20];

    (void) sprintf (command, "MC ");

    error = send_it (command);

    return (error);

}

int global_alternating_mode ()
{
    int error;
    char command[20];

    (void) sprintf (command, "MA ");

    error = send_it (command);

    return (error);

}

int global_absolute_mode ()
{
    int error;
    char command[20];

    (void) sprintf (command, "MPA ");

    error = send_it (command);

    return (error);

}

int global_incremental_mode ()
{
    int error;
    char command[20];

    (void) sprintf (command, "MPI ");

    error = send_it (command);

    return (error);

}

int global_velocity_mode (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "Q%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_enable_limits (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 3)
    {

        (void) sprintf (command, "LD%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_set_distance (arg)
long arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "D%ld ", arg);

    error = send_it (command);

    return (error);

}

int global_reverse ()
{
    int error;
    char command[20];

    (void) sprintf (command, "H ");

    error = send_it (command);

    return (error);

}

int global_set_direction_cw ()
{
    int error;
    char command[20];

    (void) sprintf (command, "H+ ");

    error = send_it (command);

    return (error);

}

int global_set_direction_ccw ()
{
    int error;
    char command[20];

    (void) sprintf (command, "H- ");

    error = send_it (command);

    return (error);

}

int global_set_velocity (arg)
double arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "V%.2f ", arg);
    error = send_it (command);

    return (error);

}

int global_set_start_velocity (arg)
double arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "VS%.2f ", arg);
    error = send_it (command);

    return (error);

}

int global_set_jog_velocity (arg)
double arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "JV%.2f ", arg);
    error = send_it (command);

    return (error);

}

int global_set_acceleration (arg)
double arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "A%.2f ", arg);
    error = send_it (command);

    return (error);

}

int global_set_home_acceleration (arg)
double arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "GA%.2f ", arg);
    error = send_it (command);

    return (error);

}

int global_set_jog_acceleration (arg)
double arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "JA%.2f ", arg);
    error = send_it (command);

    return (error);

}

int global_set_limit_acceleration (arg)
double arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "LA%.2f ", arg);
    error = send_it (command);

    return (error);

}

int global_match_indexer (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 19)
    {

        (void) sprintf (command, "MR%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_set_position_scale (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 1 && arg <= 255)
    {

        (void) sprintf (command, "US%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_set_encoder_resolution (arg)
int arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "ER%d ", arg);

    error = send_it (command);

    return (error);

}

int global_encoder_step_mode (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "FSB%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_encoder_pos_maint (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "FSC%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_stop_on_stall (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "FSD%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_output_on_stall (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "FSE%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_kill_on_trigger3 (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "FSF%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_post_move_pos_loss_detect (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "FSG%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_output_on_pos_loss (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "FSH%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_set_backlash_window (arg)
int arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "DW%d ", arg);

    error = send_it (command);

    return (error);

}

int global_set_correction_mode (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 2)
    {

        (void) sprintf (command, "CM%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_set_correction_gain (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 7)
    {

        (void) sprintf (command, "CG%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_set_correction_velocity (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 7)
    {

        (void) sprintf (command, "MV%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_go ()
{
    int error;
    char command[20];

    (void) sprintf (command, "G ");

    error = send_it (command);

    return (error);

}

int global_go_home (arg)
double arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "GH%.2f ", arg);
    error = send_it (command);

    return (error);

}

int global_execute_sequence (arg)
int arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "XR%d ", arg);

    error = send_it (command);

    return (error);

}

int global_Load_and_compute ()
{
    int error;
    char command[20];

    (void) sprintf (command, "I ");

    error = send_it (command);

    return (error);

}

int global_Load_compute_transmit ()
{
    int error;
    char command[20];

    (void) sprintf (command, "IC ");

    error = send_it (command);

    return (error);

}

int global_exit_loop ()
{
    int error;
    char command[20];

    (void) sprintf (command, "Y ");

    error = send_it (command);

    return (error);

}

int global_clear_buffer ()
{
    int error;
    char command[20];

    (void) sprintf (command, "Q ");

    error = send_it (command);

    return (error);

}

int global_stop ()
{
    int error;
    char command[20];

    (void) sprintf (command, "S ");

    error = send_it (command);

    return (error);

}

int global_mkill ()
{
    int error;
    char command[20];

    (void) sprintf (command, "K ");

    error = send_it (command);

    return (error);

}

int global_mreset ()
{
    int error;
    char command[20];

    (void) sprintf (command, "Z ");

    error = send_it (command);

    return (error);

}

int global_energize (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "ST%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_delay (arg)
double arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "T%.2f ", arg);
    error = send_it (command);

    return (error);

}

/*  wait for trigger commands omitted  */

int global_buffered_pause ()
{
    int error;
    char command[20];

    (void) sprintf (command, "PS ");

    error = send_it (command);

    return (error);

}

int global_hold ()
{
    int error;
    char command[20];

    (void) sprintf (command, "U ");

    error = send_it (command);

    return (error);

}

int global_resume ()
{
    int error;
    char command[20];

    (void) sprintf (command, "C ");

    error = send_it (command);

    return (error);

}

int global_loop (arg)
int arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "L%d ", arg);

    error = send_it (command);

    return (error);

}

int global_end_loop ()
{
    int error;
    char command[20];

    (void) sprintf (command, "N ");

    error = send_it (command);

    return (error);

}

/*   skip on trigger commands omitted  */

int global_software_reset ()
{
    int error;
    char command[20];

    (void) sprintf (command, "Z ");

    error = send_it (command);

    return (error);

}

int global_reset_cumulative_counter ()
{
    int error;
    char command[20];

    (void) sprintf (command, "X0 ");

    error = send_it (command);

    return (error);

}

int global_reset_absolute_counter ()
{
    int error;
    char command[20];

    (void) sprintf (command, "PZ ");

    error = send_it (command);

    return (error);

}

/*  status requests  */

int global_buffer_status ()
{
    int error;
    char command[20];

    (void) sprintf (command, "B ");

    error = send_it (command);

    return (error);

}

int global_exec_status ()
{
    int error;
    char command[20];

    (void) sprintf (command, "R ");

    error = send_it (command);

    return (error);

}

int global_limit_status ()
{
    int error;
    char command[20];

    (void) sprintf (command, "RA ");

    error = send_it (command);

    return (error);

}

int global_pause_status ()
{
    int error;
    char command[20];

    (void) sprintf (command, "RB ");

    error = send_it (command);

    return (error);

}

int global_closed_loop_status ()
{
    int error;
    char command[20];

    (void) sprintf (command, "RC ");

    error = send_it (command);

    return (error);

}

int global_trigger_status ()
{
    int error;
    char command[20];

    (void) sprintf (command, "TS ");

    error = send_it (command);

    return (error);

}

/*  binary position request omitted  */

int global_hex_pos_unsigned ()
{
    int error;
    char command[20];

    (void) sprintf (command, "W2 ");

    error = send_it (command);

    return (error);

}

int global_hex_pos_signed ()
{
    int error;
    char command[20];

    (void) sprintf (command, "W3 ");

    error = send_it (command);

    return (error);

}

int global_incrimental_pos ()
{
    int error;
    char command[20];

    (void) sprintf (command, "P ");

    error = send_it (command);

    return (error);

}

int global_absolute_pos ()
{
    int error;
    char command[20];

    (void) sprintf (command, "PR ");

    error = send_it (command);

    return (error);

}

int global_cumulative_pos ()
{
    int error;
    char command[20];

    (void) sprintf (command, "X1 ");

    error = send_it (command);

    return (error);

}

int global_cumulative_encoder_pos ()
{
    int error;
    char command[20];

    (void) sprintf (command, "X2 ");

    error = send_it (command);

    return (error);

}

int global_execution_status ()
{
    int error;
    char command[20];

    (void) sprintf (command, "CR ");

    error = send_it (command);

    return (error);

}

int global_list_params ()
{
    int error;
    char command[20];

    (void) sprintf (command, "DR ");

    error = send_it (command);

    return (error);

}

int global_list_sequence ()
{
    int error;
    char command[20];

    (void) sprintf (command, "XU ");

    error = send_it (command);

    return (error);

}

int global_list_sequence_memory ()
{
    int error;
    char command[20];

    (void) sprintf (command, "XN ");

    error = send_it (command);

    return (error);

}

int global_memory_integrity ()
{
    int error;
    char command[20];

    (void) sprintf (command, "XV ");

    error = send_it (command);

    return (error);

}

int global_special_satus1 ()
{
    int error;
    char command[20];

    (void) sprintf (command, "SR ");

    error = send_it (command);

    return (error);

}

int global_special_satus2 ()
{
    int error;
    char command[20];

    (void) sprintf (command, "OR ");

    error = send_it (command);

    return (error);

}

int global_transmit_signal ()
{
    int error;
    char command[20];

    (void) sprintf (command, "QR ");

    error = send_it (command);

    return (error);

}

int global_encoder_functions ()
{
    int error;
    char command[20];

    (void) sprintf (command, "FR ");

    error = send_it (command);

    return (error);

}

/*  joystick status command omitted  */

int global_scale_factor ()
{
    int error;
    char command[20];

    (void) sprintf (command, "UR ");

    error = send_it (command);

    return (error);

}

/*  END OF STATUS REQUESTS  */

int global_enable_comm ()
{
    int error;
    char command[20];

    (void) sprintf (command, "E ");

    error = send_it (command);

    return (error);

}

int global_disable_comm ()
{
    int error;
    char command[20];

    (void) sprintf (command, "F ");

    error = send_it (command);

    return (error);

}

int global_output1_on ()
{
    int error;
    char command[20];

    (void) sprintf (command, "O1X ");

    error = send_it (command);

    return (error);

}

int global_output1_off ()
{
    int error;
    char command[20];

    (void) sprintf (command, "O0X ");

    error = send_it (command);

    return (error);

}

int global_output2_on ()
{
    int error;
    char command[20];

    (void) sprintf (command, "OX1 ");

    error = send_it (command);

    return (error);

}

int global_output2_off ()
{
    int error;
    char command[20];

    (void) sprintf (command, "OX0 ");

    error = send_it (command);

    return (error);

}

int global_interface_echo (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "SSA%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_alternate_mode_stop (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "SSB%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_load_and_go (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "SSC%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_start_clears_pause (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "SSD%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_off_line_dir (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "SSE%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_velocity_range (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "SSF%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_save_buff_at_lim (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "SSG%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_save_buff_at_stop (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "SSH%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_power_up_on_line (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "OSA%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_edit_width (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "OSE%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_output2_if_moving (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "OSC%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_start_seq_on_edge (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "OSD%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_signal_move_complete (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "QSB%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_signal_at_limit (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "QSD%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_signal_buffer_full (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "QSG%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_signal_stall (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "QSH%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_input_mode (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 4)
    {

        (void) sprintf (command, "IM%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_message_level (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 2)
    {

        (void) sprintf (command, "MS%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_report_sequence (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 1 && arg <= 48)
    {

        (void) sprintf (command, "XU%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_report_memory_use ()
{
    int error;
    char command[20];

    (void) sprintf (command, "XN ");

    error = send_it (command);

    return (error);

}

int global_test_checksum ()
{
    int error;
    char command[20];

    (void) sprintf (command, "XV ");

    error = send_it (command);

    return (error);

}

int global_enter_edit_seq (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 1 && arg <= 48)
    {

        (void) sprintf (command, "XD%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_exit_edit_save ()
{
    int error;
    char command[20];

    (void) sprintf (command, "XT ");

    error = send_it (command);

    return (error);

}

int global_exit_edit_nosave ()
{
    int error;
    char command[20];

    (void) sprintf (command, "XK ");

    error = send_it (command);

    return (error);

}

int global_erase_seq (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 1 && arg <= 48)
    {

        (void) sprintf (command, "XE%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int global_erase_all_seq ()
{
    int error;
    char command[20];

    (void) sprintf (command, "ZS ");

    error = send_it (command);

    return (error);

}

int global_save_params ()
{
    int error;
    char command[20];

    (void) sprintf (command, "SA ");

    error = send_it (command);

    return (error);

}

int global_restore_defaults ()
{
    int error;
    char command[20];

    (void) sprintf (command, "ZD ");

    error = send_it (command);

    return (error);

}

int global_power_on_seq (arg)
int arg;

{
    int error;
    char command[20];

    if (arg >= 1 && arg <= 48)
    {

        (void) sprintf (command, "XP%d ", arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}
