#include <stdio.h>
#include "motor.h"
#include "errors.h"

int preset_mode (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dMN ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int continuous_mode (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dMC ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int alternating_mode (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dMA ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int absolute_mode (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dMPA ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int incremental_mode (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dMPI ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int velocity_mode (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dQ%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int enable_limits (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 3)
    {

        (void) sprintf (command, "%dLD%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int set_distance (axis_ord, arg)
int axis_ord;
long arg;

{
    int error;
    char command[20];

    if (arg >= axis[axis_ord].position.min
        && arg <= axis[axis_ord].position.max)
    {

        (void) sprintf (command, "%dD%ld ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int reverse (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dH ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int set_direction_cw (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dH+ ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int set_direction_ccw (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dH- ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int set_velocity (axis_ord, arg)
int axis_ord;
double arg;

{
    int error;
    char command[20];

    if (arg >= axis[axis_ord].velocity.min
        && arg <= axis[axis_ord].velocity.max)
    {

        (void) sprintf (command, "%dV%.2f ", axis[axis_ord].unitID, arg);
        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int set_start_velocity (axis_ord, arg)
int axis_ord;
double arg;

{
    int error;
    char command[20];

    if (arg >= axis[axis_ord].velocity.min
        && arg <= axis[axis_ord].velocity.max)
    {

        (void) sprintf (command, "%dVS%.2f ", axis[axis_ord].unitID, arg);
        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int set_jog_velocity (axis_ord, arg)
int axis_ord;
double arg;

{
    int error;
    char command[20];

    if (arg >= axis[axis_ord].velocity.min
        && arg <= axis[axis_ord].velocity.max)
    {

        (void) sprintf (command, "%dJV%.2f ", axis[axis_ord].unitID, arg);
        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int set_acceleration (axis_ord, arg)
int axis_ord;
double arg;

{
    int error;
    char command[20];

    if (arg >= axis[axis_ord].accel.min && arg <= axis[axis_ord].accel.max)
    {

        (void) sprintf (command, "%dA%.2f ", axis[axis_ord].unitID, arg);
        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int set_home_acceleration (axis_ord, arg)
int axis_ord;
double arg;

{
    int error;
    char command[20];

    if (arg >= axis[axis_ord].accel.min && arg <= axis[axis_ord].accel.max)
    {

        (void) sprintf (command, "%dGA%.2f ", axis[axis_ord].unitID, arg);
        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int set_jog_acceleration (axis_ord, arg)
int axis_ord;
double arg;

{
    int error;
    char command[20];

    if (arg >= axis[axis_ord].accel.min && arg <= axis[axis_ord].accel.max)
    {

        (void) sprintf (command, "%dJA%.2f ", axis[axis_ord].unitID, arg);
        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int set_limit_acceleration (axis_ord, arg)
int axis_ord;
double arg;

{
    int error;
    char command[20];

    if (arg >= axis[axis_ord].accel.min && arg <= axis[axis_ord].accel.max)
    {

        (void) sprintf (command, "%dLA%.2f ", axis[axis_ord].unitID, arg);
        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int match_indexer (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 19)
    {

        (void) sprintf (command, "%dMR%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int set_position_scale (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 1 && arg <= 255)
    {

        (void) sprintf (command, "%dUS%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int set_encoder_resolution (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dER%d ", axis[axis_ord].unitID, arg);

    error = send_it (command);

    return (error);

}

int encoder_step_mode (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dFSB%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int encoder_pos_maint (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dFSC%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int stop_on_stall (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dFSD%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int output_on_stall (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dFSE%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int kill_on_trigger3 (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dFSF%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int post_move_pos_loss_detect (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dFSG%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int output_on_pos_loss (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dFSH%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int set_backlash_window (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dDW%d ", axis[axis_ord].unitID, arg);

    error = send_it (command);

    return (error);

}

int set_correction_mode (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 2)
    {

        (void) sprintf (command, "%dCM%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int set_correction_gain (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 7)
    {

        (void) sprintf (command, "%dCG%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int set_correction_velocity (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 7)
    {

        (void) sprintf (command, "%dMV%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int go (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dG ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int go_home (axis_ord, arg)
int axis_ord;
double arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dGH%.2f ", axis[axis_ord].unitID, arg);
    error = send_it (command);

    return (error);

}

int execute_sequence (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dXR%d ", axis[axis_ord].unitID, arg);

    error = send_it (command);

    return (error);

}

int Load_and_compute (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dI ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int Load_compute_transmit (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dIC ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int exit_loop (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dY ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int clear_buffer (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dQ ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int stop (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dS ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int mkill (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dK ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int mreset (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dZ ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int energize (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dST%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int delay (axis_ord, arg)
int axis_ord;
double arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dT%.2f ", axis[axis_ord].unitID, arg);
    error = send_it (command);

    return (error);

}

/*  wait for trigger commands omitted  */

int buffered_pause (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dPS ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int hold (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dU ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int resume (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dC ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int loop (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dL%d ", axis[axis_ord].unitID, arg);

    error = send_it (command);

    return (error);

}

int end_loop (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dN ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

/*   skip on trigger commands omitted  */

int software_reset (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dZ ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int reset_cumulative_counter (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dX0 ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int reset_absolute_counter (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dPZ ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

/*  status requests  */

int buffer_status (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dB ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int exec_status (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dR ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int limit_status (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dRA ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int pause_status (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dRB ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int closed_loop_status (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dRC ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int trigger_status (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dTS ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

/*  binary position request omitted  */

int hex_pos_unsigned (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dW2 ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int hex_pos_signed (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dW3 ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int incrimental_pos (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dP ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int absolute_pos (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dPR ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int cumulative_pos (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dX1 ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int cumulative_encoder_pos (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dX2 ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int execution_status (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dCR ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int list_params (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dDR ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int list_sequence (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dXU ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int list_sequence_memory (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dXN ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int memory_integrity (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dXV ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int special_satus1 (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dSR ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int special_satus2 (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dOR ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int transmit_signal (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dQR ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int encoder_functions (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dFR ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

/*  joystick status command omitted  */

int scale_factor (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dUR ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

/*  END OF STATUS REQUESTS  */

int enable_comm (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dE ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int disable_comm (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dF ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int output1_on (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dO1X ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int output1_off (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dO0X ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int output2_on (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dOX1 ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int output2_off (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dOX0 ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int interface_echo (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dSSA%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int alternate_mode_stop (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dSSB%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int load_and_go (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dSSC%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int start_clears_pause (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dSSD%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int off_line_dir (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dSSE%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int velocity_range (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dSSF%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int save_buff_at_lim (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dSSG%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int save_buff_at_stop (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dSSH%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int power_up_on_line (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dOSA%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int edit_width (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dOSE%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int output2_if_moving (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dOSC%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int start_seq_on_edge (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dOSD%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int signal_move_complete (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dQSB%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int signal_at_limit (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dQSD%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int signal_buffer_full (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dQSG%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int signal_stall (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dQSH%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int input_mode (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 4)
    {

        (void) sprintf (command, "%dIM%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int message_level (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 2)
    {

        (void) sprintf (command, "%dMS%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int report_sequence (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 1 && arg <= 48)
    {

        (void) sprintf (command, "%dXU%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int report_memory_use (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dXN ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int test_checksum (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dXV ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int enter_edit_seq (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 1 && arg <= 48)
    {

        (void) sprintf (command, "%dXD%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int exit_edit_save (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dXT ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int exit_edit_nosave (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dXK ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int erase_seq (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 1 && arg <= 48)
    {

        (void) sprintf (command, "%dXE%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int erase_all_seq (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dZS ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int save_params (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dSA ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int restore_defaults (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dZD ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int power_on_seq (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 1 && arg <= 48)
    {

        (void) sprintf (command, "%dXP%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}
