
/**
 *
 *     - - - - - -
 *      c r 2 a f
 *     - - - - - -
 *
 *
 *  break an angle into fields for output
 *
 *  (single precision)
 *
 *
 *  given:
 *     ndp       int      number of decimal places of arcseconds
 *     angle     real     angle in radians
 *
 *  returned:
 *     sign      char     '+' or '-'
 *     idmsf     int(4)   degrees, arcminutes, arcseconds, fraction
 *
 *  called:
 *     sla_cd2tf
 *
 *
 *  p.t.wallace   starlink   march 1986
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

extern int sla_cd2tf (int ndp, double days, char *sign, int *ihmsf);

sla_cr2af (int ndp, double angle, char *sign, int *idmsf)
                         /* variable was REAL */
{

    /* hours to degrees * radians to turns */
    /* define was REAL */
#define f  (double)(15.0/6.283185307179586476925287)

    /* scale then use days to h,m,s routine */
    sla_cd2tf (ndp, angle * f, sign, idmsf);
}
