
/**
 *
 *     - - - - - -
 *      c r 2 t f
 *     - - - - - -
 *
 *
 *  break an angle into time fields for output
 *
 *  (single precision)
 *
 *
 *  given:
 *     ndp       int      number of decimal places of seconds
 *     angle     real     angle in radians
 *
 *  returned:
 *     sign      char     '+' or '-'
 *     ihmsf     int(4)   hours, minutes, seconds, fraction
 *
 *  called:
 *     sla_cd2tf
 *
 *
 *  p.t.wallace   starlink   march 1986
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

extern int sla_cd2tf (int ndp, double days, char *sign, int *ihmsf);

sla_cr2tf (int ndp, double angle, char *sign, int *ihmsf)
                                /* variable was REAL */
{

    /* turns to radians */
    /* define was REAL */
#define t2r  (double)(6.283185307179586476925287)

    /* scale then use days to h,m,s routine */
    sla_cd2tf (ndp, angle / t2r, sign, ihmsf);
}
