
/**
 *
 *     - - - - - -
 *      d r 2 a f
 *     - - - - - -
 *
 *
 *  break an angle into fields for output
 *
 *  (double precision)
 *
 *
 *  given:
 *     ndp       int      number of decimal places of arcseconds
 *     angle     dp       angle in radians
 *
 *  returned:
 *     sign      char     '+' or '-'
 *     idmsf     int(4)   degrees, arcminutes, arcseconds, fraction
 *
 *  called:
 *     sla_dd2tf
 *
 *
 *  p.t.wallace   starlink   march 1986
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

extern int sla_dd2tf (int ndp, double days, char *sign, int *ihmsf);

sla_dr2af (int ndp, double angle, char *sign, int *idmsf)
{

    /* hours to degrees * radians to turns */
#define f  (double)(15e0/6.283185307179586476925287e0)

    /* scale then use days to h,m,s routine */
    sla_dd2tf (ndp, angle * f, sign, idmsf);
}
