
/**
 *
 *     - - - - - -
 *      d r 2 t f
 *     - - - - - -
 *
 *
 *  break an angle into time fields for output
 *
 *  (double precision)
 *
 *
 *  given:
 *     ndp       int      number of decimal places of seconds
 *     angle     dp       angle in radians
 *
 *  returned:
 *     sign      char     '+' or '-'
 *     ihmsf     int(4)   hours, minutes, seconds, fraction
 *
 *  called:
 *     sla_dd2tf
 *
 *
 *  p.t.wallace   starlink   march 1986
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

extern int sla_dd2tf (int ndp, double days, char *sign, int *ihmsf);

sla_dr2tf (int ndp, double angle, char *sign, int *ihmsf)
{

    /* turns to radians */
#define t2r  (double)6.283185307179586476925287e0

    /* scale then use days to h,m,s routine */
    sla_dd2tf (ndp, angle / t2r, sign, ihmsf);
}
