#include <math.h>

/**
 *
 *     - - - - - - -
 *      d r a n g e
 *     - - - - - - -
 *
 *
 *  normalise angle into range +/- pi  (double precision)
 *
 *
 *  given:
 *
 *     angle     dp      the angle in radians
 *
 *
 *  The result is angle expressed in the +/- pi (double
 *  precision).
 *
 *
 *  p.t.wallace   starlink   december 1984
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

double sla_drange (double angle)
{

#define dpi  (double)3.141592653589793238462643e0
#define d2pi  (double)6.283185307179586476925287e0

    double value;
    double intval;

    /* value = mod (angle, d2pi) */
    value = modf (angle / d2pi, &intval) * d2pi;
    if (fabs (value) >= dpi)
        value -= (angle < 0 ? -d2pi : d2pi);
    return (value);
}
