#include <math.h>

/**
 *
 *     - - - - - - -
 *      d r a n r m
 *     - - - - - - -
 *
 *
 *  normalise angle into range 0-2 pi  (double precision)
 *
 *
 *  given:
 *
 *     angle     dp      the angle in radians
 *
 *
 *  The result is angle expressed in the range 0-2 pi (double
 *  precision).
 *
 *
 *  p.t.wallace   starlink   december 1984
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

double sla_dranrm (double angle)
{

#define d2pi  (double)6.283185307179586476925287e0

    double value;
    double intval;

    /* value = mod (angle, d2pi) */
    value = modf (angle / d2pi, &intval) * d2pi;
    if (value < 0e0)
        value += d2pi;
    return (value);
}
