
/**
 *
 *     - - - -
 *      d t a
 *     - - - -
 *
 *
 *  correction from UTC to TDT (formerly ET)
 *
 *  (double precision)
 *
 *
 *  given:
 *
 *     dju      dp      UTC as a modified JD (JD-2400000.5)
 *
 *
 *  result:  TDT minus UTC in seconds
 *
 *
 *  pre 1972 january 1 a fixed value of 10 + ET-TAI Is returned.
 *
 *
 *     :-----------------------------------------:
 *     :                                         :
 *     :                IMPORTANT                :
 *     :                                         :
 *     :  This routine must be updated on each   :
 *     :     occasion that a leap second is      :
 *     :                announced                :
 *     :                                         :
 *     :                                         :
 *     :  Latest leap second:  1987 december 31  :
 *     :                                         :
 *     :-----------------------------------------:
 *
 *
 *  p.t.wallace   starlink   september 1987
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

double sla_dta (double dju)
{

    double dt;

    dt = 10e0;

    /* 1972 july 1 */
    if (dju >= 41498e0)
        dt = 11e0;

    /* 1973 january 1 */
    if (dju >= 41683e0)
        dt = 12e0;

    /* 1974 january 1 */
    if (dju >= 42048e0)
        dt = 13e0;

    /* 1975 january 1 */
    if (dju >= 42413e0)
        dt = 14e0;

    /* 1976 january 1 */
    if (dju >= 42778e0)
        dt = 15e0;

    /* 1977 january 1 */
    if (dju >= 43144e0)
        dt = 16e0;

    /* 1978 january 1 */
    if (dju >= 43509e0)
        dt = 17e0;

    /* 1979 january 1 */
    if (dju >= 43874e0)
        dt = 18e0;

    /* 1980 january 1 */
    if (dju >= 44239e0)
        dt = 19e0;

    /* 1981 july 1 */
    if (dju >= 44786e0)
        dt = 20e0;

    /* 1982 july 1 */
    if (dju >= 45151e0)
        dt = 21e0;

    /* 1983 july 1 */
    if (dju >= 45516e0)
        dt = 22e0;

    /* 1985 july 1 */
    if (dju >= 46247e0)
        dt = 23e0;

    /* 1987 december 31 */
    if (dju >= 47160e0)
        dt = 24e0;

    /* 
     * (add a new pair of lines to the above set on each 
     * occasion that a leap second is announced)
     */

    return (32.184e0 + dt);
}
