
/**
 *
 *     - - - - -
 *      d v d v
 *     - - - - -
 *
 *
 *  scalar product of two 3-vectors  (double precision)
 *
 *
 *  given:
 *      va      dp(3)     first vector
 *      vb      dp(3)     second vector
 *
 *
 *  The result is the scalar product va.vb (double precision)
 *
 *
 *  p.t.wallace   starlink   november 1984
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

double sla_dvdv (double *va, double *vb)
{
    return (va[0] * vb[0] + va[1] * vb[1] + va[2] * vb[2]);
}
