
/**
 *
 *     - - - - -
 *      d v x v
 *     - - - - -
 *
 *
 *  vector product of two 3-vectors  (double precision)
 *
 *
 *  given:
 *      va      dp(3)     first vector
 *      vb      dp(3)     second vector
 *
 *  returned:
 *      vc      dp(3)     vector result
 *
 *
 *  p.t.wallace   starlink   march 1986
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

sla_dvxv (double *va, double *vb, double *vc)
{
    double vw[3];
    int i;

    /* form the vector product va cross vb */
    vw[0] = va[1] * vb[2] - va[2] * vb[1];
    vw[1] = va[2] * vb[0] - va[0] * vb[2];
    vw[2] = va[0] * vb[1] - va[1] * vb[0];

    /* return the result */
    for (i = 0; i <= 2; i++)
    {
        vc[i] = vw[i];
    }
}
