
/**
 *
 *     - - - -
 *      e p b
 *     - - - -
 *
 *
 *  conversion of modified julian date to besselian epoch
 *
 *  (double precision)
 *
 *
 *  given:
 *     date     dp       modified julian date (JD - 2400000.5)
 *
 *  The result is the besselian epoch.
 *
 *
 *  reference:
 *     Lieske,j.h., 1979. Astron.Astrophys.,73,282.
 *
 *
 *  p.t.wallace   starlink   february 1984
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

double sla_epb (double date)
{

    return (1900e0 + (date - 15019.81352e0) / 365.242198781e0);
}
