
/**
 *
 *     - - - - - -
 *      e p b 2 d
 *     - - - - - -
 *
 *
 *  conversion of besselian epoch to modified julian date
 *
 *  (double precision)
 *
 *
 *  given:
 *     epb      dp       besselian epoch
 *
 *  The result is the modified julian date (JD - 2400000.5).
 *
 *
 *  reference:
 *     Lieske,j.h., 1979. Astron.Astrophys.,73,282.
 *
 *
 *  p.t.wallace   starlink   february 1984
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

double sla_epb2d (double epb)
{

    return (15019.81352e0 + (epb - 1900e0) * 365.242198781e0);
}
