
/**
 *
 *     - - - -
 *      e p j
 *     - - - -
 *
 *
 *  conversion of modified julian date to julian epoch
 *
 *  (double precision)
 *
 *
 *  given:
 *     date     dp       modified julian date (JD - 2400000.5)
 *
 *  The result is the julian epoch.
 *
 *
 *  reference:
 *     Lieske,j.h., 1979. Astron.Astrophys.,73,282.
 *
 *
 *  p.t.wallace   starlink   february 1984
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

double sla_epj (double date)
{

    return (2000e0 + (date - 51544.5e0) / 365.25e0);
}
