
/**
 *
 *     - - - - - -
 *      e p j 2 d
 *     - - - - - -
 *
 *
 *  conversion of julian epoch to modified julian date
 *
 *  (double precision)
 *
 *
 *  given:
 *     epj      dp       julian epoch
 *
 *  The result is the modified julian date (JD - 2400000.5).
 *
 *
 *  reference:
 *     Lieske,j.h., 1979. Astron.Astrophys.,73,282.
 *
 *
 *  p.t.wallace   starlink   february 1984
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

double sla_epj2d (double epj)
{

    return (51544.5e0 + (epj - 2000e0) * 365.25e0);
}
