#include <math.h>

/**
 *
 *     - - - - - -
 *      e q e q x
 *     - - - - - -
 *
 *
 *  equation of the equinoxes  (double precision)
 *
 *
 *  given:
 *     date    dp      TDB (loosely ET) as modified julian date
 *                                          (JD-2400000.5)
 *
 *  The result is the equation of the equinoxes (double precision)
 *  in radians:
 *
 *     greenwich apparent st = gmst + sla_eqeqx
 *
 *
 *  called:  sla_nutc
 *
 *
 *  patrick wallace   starlink   february 1984
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

extern int sla_nutc (double date, double *dpsi, double *deps, double *eps0);

double sla_eqeqx (double date)
{

    double dpsi, deps, eps0;

    /* nutation */
    sla_nutc (date, &dpsi, &deps, &eps0);

    /* equation of the equinoxes */
    return (dpsi * cos (eps0 + deps));
}
