
/**
 *
 *     - - - -
 *      m x m
 *     - - - -
 *
 *
 *  product of two 3x3 matrices:
 *      matrix c  =  matrix a  x  matrix b
 *
 *  (was single precision)
 *
 *
 *  given:	now all dp
 *      a      real(3,3)        matrix
 *      b      real(3,3)        matrix
 *
 *  returned:
 *      c      real(3,3)        matrix result
 *
 *
 *  p.t.wallace   starlink   march 1986
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

sla_mxm (double (*a)[3], double (*b)[3], double (*c)[3])
                                        /* variables were REAL */
{

    int i, j, k;
    double w, wm[3][3];         /* variables were REAL */

    /* multiply into scratch matrix */
    for (i = 0; i < 3; i++)
    {
        for (j = 0; j < 3; j++)
        {
            w = 0.0;
            for (k = 0; k < 3; k++)
            {
                w += a[i][k] * b[k][j];
            }
            wm[i][j] = w;
        }
    }

    /* return the result */
    for (j = 0; j < 3; j++)
    {
        for (i = 0; i < 3; i++)
        {
            c[i][j] = wm[i][j];
        }
    }
}
