#include <math.h>

/**
 *
 *     - - - - - -
 *      r a n g e
 *     - - - - - -
 *
 *
 *  normalise angle into range +/- pi  (was single precision)
 *
 *
 *  given:
 *
 *     angle     dp      the angle in radians
 *
 *
 *  The result is angle expressed in the +/- pi (was single
 *  precision).
 *
 *
 *  p.t.wallace   starlink   december 1984
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

/* function was REAL */
double sla_range (double angle)
                         /* variable was REAL */
{

    double value, junk;

#define api  (double)3.141592653589793238462643
#define a2pi  (double)6.283185307179586476925287

    value = modf (angle / a2pi, &junk) * a2pi;
    if (fabs (value) >= api)
        value -= copysign (a2pi, angle);
    return (value);
}
