#include <math.h>

/**
 *
 *     - - - - - - -
 *      r a n o r m
 *     - - - - - - -
 *
 *
 *  normalise angle into range 0-2 pi  (was single precision)
 *
 *
 *  given:
 *
 *     angle     dp      the angle in radians
 *
 *
 *  The result is angle expressed in the range 0-2 pi (was single
 *  precision).
 *
 *
 *  p.t.wallace   starlink   december 1984
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

/* function was REAL */
double sla_ranorm (double angle)
                        /* variable was REAL */
{

#define a2pi  (double)6.283185307179586476925287

    double value, junk;

    value = modf (angle / a2pi, &junk) * a2pi;
    if (value < 0.0)
        value += a2pi;
    return (value);
}
