
/**
 *
 *     - - - -
 *      v x v
 *     - - - -
 *
 *
 f  vector product of two 3-vectors  (was single precision)
 *
 *
 *  given:
 *      va      real(3)     first vector
 *      vb      real(3)     second vector
 *
 *  returned:
 *      vc      real(3)     vector result
 *
 *
 *  p.t.wallace   starlink   march 1986
 *  r.j.wolff     noao       Feb 1988   transcribed from fortran to C
 *
 */

sla_vxv (double *va, double *vb, double *vc)
                                        /* variables were REAL */
{

    /* array was REAL */
    double vw[3];
    int i;

    /* form the vector product va cross vb */
    vw[0] = va[1] * vb[2] - va[2] * vb[1];
    vw[1] = va[2] * vb[0] - va[0] * vb[2];
    vw[2] = va[0] * vb[1] - va[1] * vb[0];

    /* return the result */
    for (i = 0; i < 3; i++)
    {
        vc[i] = vw[i];
    }
}
