#include <stdio.h>
#include "motor.h"
#include "errors.h"

/* calibration lamp control commands and status functions */

int stdTHlamps (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dlca%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int stdCUlamps (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dlcc%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int stdQZlamps (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dlcd%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int stdLampConnected (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dsbs ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int stdLampStatus (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dsls ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

/* plate vacuum control and status functions */

int stdVacSwitch (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dvf%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int stdVacStatus (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dsvs ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

/* gripper LED control and status functions */

int stdGripLED (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 8)
    {

        (void) sprintf (command, "%dgl%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int stdGripLEDstatus (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dsgs ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

/* Calibration screen control and status functions */

int stdScreen (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dcc%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int stdScreenStatus (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dscs ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

int stdScreenLockout (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dsss ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

/* TV intensity and HV  status function */

int stdTvStatus (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dsis ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

/* Plate hinge  status function */

int stdHingeStatus (axis_ord)
int axis_ord;

{
    int error;
    char command[20];

    (void) sprintf (command, "%dsps ", axis[axis_ord].unitID);

    error = send_it (command);

    return (error);

}

/* AC power control functions */

int stdACindexers (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dspa%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int stdACdrives (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dspb%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int stdACcalib (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dspc%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int stdACpier (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dspd%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}

int stdACvalve (axis_ord, arg)
int axis_ord;
int arg;

{
    int error;
    char command[20];

    if (arg >= 0 && arg <= 1)
    {

        (void) sprintf (command, "%dspe%d ", axis[axis_ord].unitID, arg);

        error = send_it (command);

    }
    else
        error = MOTOR_RANGE;

    return (error);

}
