
/*************************************************************************

		nesslib.c 

   Astrometry routines for Hydra project

*************************************************************************

		Modification History

   Nov, 1990		Initial version submitted for testing

   Nov. 13, 1990	Function flatten added in place of stepped
			plate code.  Written by PM.  Reformated by LG.

************************************************************************/

#include <stdio.h>
#include <strings.h>
#include <signal.h>
#include <sys/termios.h>

#include <math.h>

#include "miscMath.h"
#include "nesslib.h"

double colorfactor[] = {
    1.046,
    1.026,
    1.014,
    1.005,
    1.000,
    0.996,
    0.993,
    0.991,
    0.989,
    0.987,
    0.986,
    0.985,
    0.983,
    0.983
};

/******************************

double stor(ira, imn, sec)

int    ira, imn;
double sec;

{
	return( S2R * ( ( 60.0 * ( ( 60.0 * ira  ) + imn ) ) + sec ) );
}

double astor(idec, imn, arcsec)

int    idec, imn;
double arcsec;

{
	return( AS2R * ( ( 60.0 * ( ( 60.0 * idec ) + imn ) ) + arcsec ) );
}

***************************/

long secToSteps (double arcSec)
{
    return ((long) (((arcSec / WIYN_SCALE) / 25.4) * MOTOR_RESOLUTION));
}

/*		plateZ
      Calculate the height of the plate at a given radius.
*/

plateZ (double radius)
{
    double height;

    if (radius < STEP1RADIUS)
        height = 0;
    else if (radius > STEP2RADIUS)
        height = STEP2HEIGHT;
    else
        height = STEP1HEIGHT;

    return (height);
}

/*
		listIt

	Dump the data for the star to the standard output device in a
	"readable" form.
*/

listIt (struct starinfo * pTheStar)
{
    fprintf (stderr,
             "ra   = %10.8f dc   = %10.8f\n ax   = %10.8f ay   = %10.8f\n rar  = %10.8f dcr  = %10.8f\n xm   = %10.8f ym   = %10.8f\n adxp = %10.8f adyp = %10.8f\n afoc = %10.8f\n\n",
             pTheStar->ra, pTheStar->dc, pTheStar->ax, pTheStar->ay,
             pTheStar->rar, pTheStar->dcr, pTheStar->xm, pTheStar->ym,
             pTheStar->adxp, pTheStar->adyp, pTheStar->afoc);
}
