
/*
		
		benchVar.c

   This file has the functions to create variables for the gwc
   client that relate to the bench spectrograph.

*/

#include <stdio.h>
#include <sys/param.h>
#include <sys/types.h>
#include <xview/xview.h>
#include <xview/canvas.h>
#include <xview/scrollbar.h>
#include <xview/cms.h>
#include <xview/panel.h>
#include <xview/textsw.h>
#include <xview/xv_xrect.h>
#include <gutil.h>
#include "xvFibSim_ui.h"

#include <tk.h>
#include <assert.h>
#include "gwc/gwc.h"
#include "miscMath.h"
#include "motor.h"
#include "plate.h"
#include "kaboom.h"
#include "nesslib.h"
#include "concen.h"

#include "xref.h"

char BenchCable;

static int benchCableUpdate (gwcEventArgs args);

extern xvFibSim_window1_objects *XvFibSim_window1;

/* Setup the Hydra send database */

void doBenchSetup (gwcConnectInfo info)
{

    /* subscribe to the rotator */

    if (gwcStreamSubscribe (info, "bsa.main") != TCL_OK)
    {
        fputs ("WARNING: Subscribe to bench info failed\n", stderr);
        return;
    }

    if (gwcAddEvent (info, "bsa.main.fibername",
                     EV_CHANGED, benchCableUpdate, NULL,
                     (ClientData) info) != TCL_OK)
    {

        fputs ("WARNING: Callback registration for bench status failed\n",
               stderr);
        return;
    }
}

/* callback handler for rotator */

static int benchCableUpdate (gwcEventArgs args)
{

    char benchCableName[32];

    char **value = (char **) args.value;

    BenchCable = getCableIdentifier (value[0]);

    xv_set (XvFibSim_window1->benchCableField, PANEL_VALUE,
            getNameForCable (BenchCable), NULL);

    return TCL_OK;
}

int benchHydraCableMismatch ()
{
    return (BenchCable != CurrentCable);
}
