
/*	
			buttonHooks.c

   This file contains code to allow the status of various buttons to
   be set by the main program.  These commands originate as
   text into the input stream.
*/

#include <stdio.h>
#include <sys/param.h>
#include <sys/types.h>
#include <xview/xview.h>
#include <xview/canvas.h>
#include <xview/cms.h>
#include <xview/panel.h>
#include <xview/textsw.h>
#include <xview/xv_xrect.h>
#include <gutil.h>
#include "xvFibSim_ui.h"

#include "buttonHooks.h"

extern xvFibSim_window1_objects *XvFibSim_window1;

void ledButtonSet (args)
char *args;

{
    int value;

    if (strcmp (args, "on") == 0)
    {
        value = 0;
    }
    else
    {
        value = 1;
    }

    xv_set (XvFibSim_window1->gripLedMode, PANEL_VALUE, value, NULL);

}

void complampButtonSet (args)
char *args;

{
    int value;

    if (strcmp (args, "on") == 0)
    {
        value = 0;
    }
    else
    {
        value = 1;
    }

    xv_set (XvFibSim_window1->complampMode, PANEL_VALUE, value, NULL);

}

void gripperButtonSet (args)
char *args;

{
    int value;

    if (strcmp (args, "in") == 0)
    {
        value = 0;
    }
    else
    {
        value = 1;
    }

    xv_set (XvFibSim_window1->gripperMode, PANEL_VALUE, value, NULL);

}
