
#include <stdio.h>
#include <sys/param.h>
#include <sys/types.h>
#include <xview/xview.h>
#include <xview/canvas.h>
#include <xview/cms.h>
#include <xview/panel.h>
#include <xview/textsw.h>
#include <xview/xv_xrect.h>
#include <gutil.h>
#include "xvFibSim_ui.h"

#include "gc.h"
#include "miscMath.h"
#include "nesslib.h"
#include "xFibSim.h"
#include "inits.h"

#define  WIN_SIZE 111
#define  CIR_SIZE 80

extern struct winInfo CardinalWinInfo;

drawCardinalDirection (angle, dec)
double angle;
double dec;

{
    XPoint points[3];

    double x1;
    double y1;
    double x2;
    double y2;

    x1 = (CIR_SIZE / 2.0) * cos (angle);
    y1 = -(CIR_SIZE / 2.0) * sin (angle);

    if (dec >= KPNO_LAT)
    {
        x2 = (CIR_SIZE / 2.0) * cos (angle + M_PI / 2);
        y2 = -(CIR_SIZE / 2.0) * sin (angle + M_PI / 2);
    }
    else
    {
        x2 = (CIR_SIZE / 2.0) * cos (angle - M_PI / 2);
        y2 = -(CIR_SIZE / 2.0) * sin (angle - M_PI / 2);
    }

    /* point 0 is the x axis */

    points[0].x = (int) (x1 + WIN_SIZE / 2);
    points[0].y = (int) (y1 + WIN_SIZE / 2);

    /* point 1 is the origin */

    points[1].x = (int) (WIN_SIZE / 2);
    points[1].y = (int) (WIN_SIZE / 2);

    /* point 0 is the y axis */

    points[2].x = (int) (x2 + WIN_SIZE / 2);
    points[2].y = (int) (y2 + WIN_SIZE / 2);

    XDrawArc (CardinalWinInfo.display,
              CardinalWinInfo.canvasXid,
              CardinalWinInfo.fiberGCerase,
              (int) ((WIN_SIZE / 2) - (CIR_SIZE / 2)),
              (int) ((WIN_SIZE / 2) - (CIR_SIZE / 2)),
              (int) (CIR_SIZE), (int) (CIR_SIZE),
              0, 23040 /* full circle */ );

    XDrawLines (CardinalWinInfo.display, CardinalWinInfo.canvasXid, CardinalWinInfo.fiberGCselect, points, 3,   /* 90 deg angle needs 3 points */
                CoordModeOrigin);

    /* label the x axis */

    XDrawString (CardinalWinInfo.display,
                 CardinalWinInfo.canvasXid,
                 CardinalWinInfo.fiberGCnormal,
                 points[0].x, points[0].y, "N", 1);

    /* label the y axis */

    XDrawString (CardinalWinInfo.display,
                 CardinalWinInfo.canvasXid,
                 CardinalWinInfo.fiberGCnormal,
                 points[2].x, points[2].y, "E", 1);
}
