
#define STD_CANVAS_SIZE 500
#define HYDRA_SPACE 200000

/* mouse modes */

#define MODE_BUTTON  0
#define MODE_OBJECT  1
#define MODE_VIEW    2
#define MODE_PARK    3
#define MODE_SKY     4
#define MODE_ASSIGN  5

/* Status options for CurrentFiberInfo */

#define INACTIVE     0
#define SELECTED     1
#define DRAGGING     2
#define DRAG_PENDING 3
#define CONFIRMED    4
#define ACTIVE       5

/* structures */

struct winInfo
{

    Display *display;
    XID canvasXid;              /* stashed id of canvas for convenience */

    int canvasSizeX;            /* size of drawing canvas */
    int canvasSizeY;
    int windowSizeX;            /* size of visable window */
    int windowSizeY;
    int windowOffsetX;          /* Location of window on canvas */
    int windowOffsetY;

    GC fiberGCnormal;           /* pre-defined graphic contexts for fibers etc. */
    GC fiberGCselect;
    GC fiberGCerase;
    GC fiberGCdrag;
    GC fiberGCzones;

    GC fiberGClocked;
    GC fiberGCoccult;

    GC fopsGCnormal;

    GC plateGCnormal;
    GC plateGCzones;

    GC starGCnormal;
    GC starGCselect;
    GC skyGCnormal;
    GC acqGCnormal;

    GC gripperGC;
    GC crosshairGC;
    GC calScreenGC;

    double scaleFactor;         /* scale to get from hydra scale to canvas scale */

};

struct CurrentFiberInfo
{

    int id;                     /* fiber id number */
    int status;                 /* see mode #defines above */

    struct flex_geometry *geo;  /* fiber being drug pending a move */

    int requestedX;             /* location of mouse on drag */
    int requestedY;
};

struct CurrentObjectInfo
{

    int id;                     /* fiber id number */
    int status;                 /* see mode #defines above */
};

struct CurrentCrosshairInfo
{

    int id;                     /* fiber id number */
    int status;                 /* see mode #defines above */
    struct aPoint location;     /* where the crosshairs are */
};

struct anXref
{
    int fiber;
    int object;
    int slit;
};

/* externs */

extern int ConfirmResponse;

extern int Cable;

extern char PendingCommand[];
extern char PendingCommandDescr[];
extern char PendingCommandDescr2[];

extern xvFibSim_window1_objects *XvFibSim_window1;
xvFibSim_confirmPopup_objects *XvFibSim_confirmPopup;

extern struct winInfo HydraWinInfo;

extern struct CurrentFiberInfo CurrentFiber;
extern struct CurrentObjectInfo CurrentObject;
extern struct CurrentCrosshairInfo CurrentCrosshair;

extern struct anXref TmpXref;

extern void explicitInits ();
