
/*************************************************************

		fibSim.h

   This file has the extern declarations for the tube
   simulation and graphics functions. 

*************************************************************/

/* these defines are used to set the scale of the 4014 emulation */

#define MARGIN        5000      /* margin at edges of screen */

#define SCREENSIZE    (PIVOT + MARGIN) * 2      /* motorsteps */

#define XSCREENCENTER  SCREENSIZE / 2 + 20000
#define YSCREENCENTER  SCREENSIZE / 2

#define DRAW_SCREEN         0
#define CLEAR_SCREEN        1
#define NO_CLEAR_SCREEN     2
#define INITIALIZE_SCREEN   3
#define FULLY_CLOSED_SCREEN 4
#define REFRESH_SCREEN 	    5

#define NUMSEGS 25

#define BIGDOT 1000
#define SMALLDOT 500

#define T_TARG  1               /* types of targets */
#define X_TARG  2
#define STAR    3
#define BOX     4
#define T_BOX   5

#define TARGETSIZE	 1500

#define SMALLBOX	 1500

#define XV_TARGETSIZE	 5
#define XV_SMALLBOX	 6

#define DRAW 	1
#define ERASE	0

#define SIN60 0.8660250438
#define COS60 0.5

extern int BackgroundFlag;      /* enables/suppresses drawing of targets */

extern void tubeLoc ();         /* determine the location of the tube */

extern void refresh ();         /* clears the screen and re-draws it */
extern void initScreen ();      /* clears the screen at sets graphics mode */
extern void drawButton ();      /* draws a button without the tube attached */
extern void drawTube ();        /* draws the tube, but not the button */
extern void drawBackground ();  /* draws the stars in the field */
extern void drawTarget ();      /* draws "crosshair" at requested locations */
extern void drawBox ();         /* draws hexagon  at requested locations */
extern void drawHex ();         /* draws hexagon  at requested locations */
extern void drawFiber ();       /* erases or draws the specified fiber */
