
/**************************************************************

		archive.h
   
   This file contains the declarations of external functions
   for the file archive.c.

**************************************************************/

#include <sys/time.h>

#define READ_WRITE 	"a+"
#define READ_ONLY	"r"
#define GOOD_LINE	0
#define BAD_LINE	1

#define ALL		0
#define RECENT		2

#define OK		0
#define ERROR		-1

struct archiveLineData
{

    int id;                     /* fiber # */
    int errorCode;              /* status of this move */
    int moveId;                 /* serial # of move */
    struct aPoint p1;           /* current location */
    struct aPoint p2;           /* previous location */
    struct timeval time;        /* time of move */
    struct anOccult *occultations;      /* fibers blocking this one */
};

extern FILE *positionArchive;   /*  file for archiving each move */

FILE *openArchive (char *fileName, char *mode);
FILE *reOpenArchive (char *fileName, char *type, FILE * stream);
int closeArchive (FILE * theArchive);
int archivePosition (struct fiber_dbase *fiber, FILE * theArchive);
int restoreFromArchive (FILE * theArchive, struct fiber_dbase theDbase[],
                        int which);
int LoadStatusFile (char *envName, struct templateItem template[]);
