
/*
		complications.h

   Structures/functions for tracking complicatons
   that will arise from moving fibers.

*/

struct MoveComplications
{

    fibDB *instigator;          /* the fiber who's life is being complicated */

    fiblist *inTheWay;          /* extended fibers blocking target location */
    occultlist *oppressors;     /* fibers occulting the target fiber */
    occultlist *futureVictims;  /* fibers that will be occulted by this move */
    int coordCode;              /* suitibility of target location for this fiber */
};

typedef struct MoveComplications complications;

/* public prototypes */

extern complications *getComplications (fibDB * targetFiber,
                                        fibDB otherFibers[]);

extern void freeComplications (complications * theComplications);

extern void printComplications (fibDB * theFiber,
                                complications * theComplications);
