
/**********************************************************

		drives.h

   structures and defines for drives.c

*********************************************************/

#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif

/* unit ID numbers for the drives */

#define XDRIVE1 2
#define XDRIVE2 4
#define YDRIVE1 6

/* error indexes */

#define DRIVE_RS232CMD		0
#define DRIVE_OVERCURRENT 	1
#define DRIVE_TEMP 		2
#define DRIVE_PWM 		3
#define DRIVE_REMSHUTDOWN 	4
#define DRIVE_POSITION 		5
#define DRIVE_AVECURRENT	6
#define DRIVE_OVERTEMP 		7
#define DRIVE_CRCCHECK 		8
#define DRIVE_PULSES 		9
#define DRIVE_HIVOLTAGE		10
#define DRIVE_ENABLE 		11

/* drive status functions */

int GetDriveStatus (int unitID, int respPtr[], struct itimerval *maxTime);

/* drive command functions */
int global_pause_status (void);
int enable_drive (int driveID);
int disable_drive (int driveID);
int energize_drive (int driveID, int arg);
int reset_drive (int driveID);
int kill_drive (int driveID);
char *idToDrive (int id);

/* error message structure */

extern char *driveErrors[];
