
/*
		occult.h

   Structures for fiber occultation tracking.

*/

struct anOccult
{

    struct fiber_dbase *fiber;
    struct anOccult *next;
    struct anOccult *prev;
};

typedef struct anOccult occultlist;

extern struct anOccult *occListToStruct (char *rawList);
extern struct anOccult *occultAlloc (fibDB * perpetrator);

extern struct anOccult *occultCopy (struct anOccult *orignalList);

extern void occultMessage (fibDB * victim);
extern char *occultList (fibDB * victim);

extern void occultAddPending (fibDB * victim, fibDB * perpetrator);
extern void occultClearPending (fibDB * fiber);
extern void recordNewOccultations (fibDB * perpetrator);
extern void applyOccultationList (fibDB * fib, struct anOccult *theList);
extern int isOcculted (fibDB * victim);
extern void occultRemove (struct anOccult *oldOccult);

extern int alreadyVictimized (fibDB * potentialVictim, fibDB * perpetrator);

extern void occultList2 (occultlist * theList);
