
/*
		restrictions.h

   Flags for use in generating restriction masks for user commands
*/

#define NONE	0               /* command can be issued at any time */
#define DEFER	1               /* defer safety checks until actually in target function */
#define SIM	2               /* command can be issued at any time except simulator */
#define RACK    4               /* rack must be on line for this command */
#define GRIP	8               /* gripper must be enabled for this command */
#define SCREEN  16              /* screen must not be deployed for this command */
#define ROTATE  32              /* Rotator must be at zero for this command  */
#define HINGE   64              /* Hinge must be at closed for this command  */
#define PLATE   128             /* Plate must be at flat for this command  */

#define NO_DEFER 0              /* for readability of the code */

                        /* return values */

#define SAFE    1               /* command is safe */
#define DEFERED 2               /* let the command check for itself */
#define UNSAFE  3               /* command can not be executed right now */
