int sla_addet (double rm, double dm, double eq, double *rc, double *dc);
int sla_amp (double ra, double da, double date, double eq, double *rm,
             double *dm);
int sla_atms (double rt, double tt, double dnt, double gmdr, double r,
              double *dn, double *dndr);
int sla_atmt (double r0, double t0, double a[10], double r, double *t,
              double *dn, double *dndr);
int sla_caf2r (int ideg, int iamin, double asec, double *rad, int *j);
int sla_caldj (int iy, int im, int id, double *djm, int *j);
int sla_calyd (int iy, int im, int id, int *ny, int *nd, int *j);
int sla_cc2s (double v[3], double *a, double *b);
int sla_cc62s (double v[6], double *a, double *b, double *r, double *ad,
               double *bd, double *rd);
int sla_cd2tf (int ndp, double days, char *sign, int ihmsf[4]);
int sla_cldj (int iy, int im, int id, double *djm, int *j);
int sla_cr2af (int ndp, double angle, char *sign, int idmsf[4]);
int sla_cr2tf (int ndp, double angle, char *sign, int ihmsf[4]);
int sla_cs2c (double a, double b, double v[3]);
int sla_cs2c6 (double a, double b, double r, double ad, double bd, double rd,
               double v[6]);
int sla_ctf2d (int ihour, int imin, double sec, double *days, int *j);
int sla_ctf2r (int ihour, int imin, double sec, double *rad, int *j);
int sla_daf2r (int ideg, int iamin, double asec, double *rad, int *j);
int sla_dc62s (double v[6], double *a, double *b, double *r, double *ad,
               double *bd, double *rd);
int sla_dcc2s (double v[3], double *a, double *b);
int sla_dcs2c (double a, double b, double v[3]);
int sla_dd2tf (int ndp, double days, char *sign, int ihmsf[4]);
int sla_dimxv (double dm[3][3], double va[3], double vb[3]);
int sla_djcal (int ndp, double djm, int iymdf[4], int *j);
int sla_djcl (double djm, int *iy, int *im, int *id, double *fd, int *j);
int sla_dmatrx (int n, double *ap, double y[], double *d, int *jf, double *wp,
                int iw[]);
int sla_dmxm (double a[3][3], double b[3][3], double c[3][3]);
int sla_dmxv (double dm[3][3], double va[3], double vb[3]);
int sla_dr2af (int ndp, double angle, char *sign, int idmsf[4]);
int sla_dr2tf (int ndp, double angle, char *sign, int ihmsf[4]);
double sla_drange (double angle);
double sla_dranrm (double angle);
int sla_ds2c6 (double a, double b, double r, double ad, double bd, double rd,
               double v[6]);
int sla_ds2tp (double ra, double dec, double raz, double decz, double *xi,
               double *eta, int *j);
double sla_dsep (double a1, double b1, double a2, double b2);
double sla_dta (double dju);
int sla_dtf2d (int ihour, int imin, double sec, double *days, int *j);
int sla_dtf2r (int ihour, int imin, double sec, double *rad, int *j);
int sla_dtp2s (double xi, double eta, double raz, double decz, double *ra,
               double *dec);
double sla_dvdv (double va[3], double vb[3]);
int sla_dvn (double v[3], double uv[3], double *vm);
int sla_dvxv (double va[3], double vb[3], double vc[3]);
int sla_earth (int iy, int id, double fd, double posvel[6]);
int sla_ecleq (double dl, double db, double date, double *dr, double *dd);
int sla_ecmat (double date, double rmat[3][3]);
int sla_ecor (double rm, double dm, int iy, int id, double fd, double *rv,
              double *tl);
int sla_eg50 (double dr, double dd, double *dl, double *db);
double sla_epb (double date);
double sla_epb2d (double epb);
double sla_epco (int k0, int k, double e);
double sla_epj (double date);
double sla_epj2d (double epj);
int sla_eqecl (double dr, double dd, double date, double *dl, double *db);
double sla_eqeqx (double date);
int sla_eqgal (double dr, double dd, double *dl, double *db);
int sla_etrms (double ep, double ev[3]);
int sla_evp (double date, double deqx, double dvb[3], double dpb[3],
             double dvh[3], double dph[3]);
int sla_fk425 (double r1950, double d1950, double dr1950, double dd1950,
               double p1950, double v1950, double *r2000, double *d2000,
               double *dr2000, double *dd2000, double *p2000, double *v2000);
int sla_fk45z (double r1950, double d1950, double bepoch, double *r2000,
               double *d2000);
int sla_fk524 (double r2000, double d2000, double dr2000, double dd2000,
               double p2000, double v2000, double *r1950, double *d1950,
               double *dr1950, double *dd1950, double *p1950, double *v1950);
int sla_fk54z (double r2000, double d2000, double bepoch, double *r1950,
               double *d1950, double *dr1950, double *dd1950);
int sla_galeq (double dl, double db, double *dr, double *dd);
int sla_galsup (double dl, double db, double *dsl, double *dsb);
int sla_ge50 (double dl, double db, double *dr, double *dd);
int sla_geoc (double p, double h, double *r, double *z);
double sla_gmst (double ut1);
double sla_gresid (double s);
int sla_imxv (double rm[3][3], double va[3], double vb[3]);
int sla_kbj (int jb, double e, char *k, int *j);
int sla_map (double rm, double dm, double pr, double pd, double px, double rv,
             double eq, double date, double *ra, double *da);
int sla_mapp (double eq, double date, double *pmt, double eb[3],
              double ehn[3], double *gr2e, double abv[3], double *ab1,
              double *ab2, double pnm[3][3]);
int sla_mapq (double rm, double dm, double pr, double pd, double px,
              double rv, double pmt, double eb[3], double ehn[3], double gr2e,
              double abv[3], double ab1, double ab2, double pnm[3][3],
              double *ra, double *da);
int sla_mapqz (double rm, double dm, double ehn[3], double gr2e,
               double abv[3], double ab1, double ab2, double pnm[3][3],
               double *ra, double *da);
int sla_moon (int iy, int id, double fd, double posvel[6]);
int sla_mxm (double a[3][3], double b[3][3], double c[3][3]);
int sla_mxv (double rm[3][3], double va[3], double vb[3]);
int sla_nut (double date, double rmatn[3][3]);
int sla_nutc (double date, double *dpsi, double *deps, double *eps0);
int sla_nutm (double dpsi, double deps, double eps0, double rmatn[3][3]);
int sla_obs (int n, char *c, char *name, double *w, double *p, double *h);
int sla_pm (double r0, double d0, double pr, double pd, double px, double rv,
            double ep0, double ep1, double *r1, double *d1);
int sla_prebn (double bep0, double bep1, double rmatp[3][3]);
int sla_prec (double ep0, double ep1, double rmatp[3][3]);
int sla_preces (char *system, double ep0, double ep1, double *ra, double *dc);
int sla_prenut (double epoch, double date, double rmatpn[3][3]);
int sla_pvobs (double p, double h, double stl, double pv[6]);
double sla_random (double *seed);
double sla_range (double angle);
double sla_ranorm (double angle);
double sla_rcc (double tdb, double ut1, double wl, double u, double v);
int sla_refco (double h0, double t0, double p0, double ups, double wl,
               double ph, double as, double eps, double *refa, double *refb);
int sla_refro (double z0, double h0, double t0, double p0, double ups,
               double wl, double ph, double as, double eps, double *ref);
int sla_refv (double vu[3], double refa, double refb, double vr[3]);
int sla_refz (double zu, double refa, double refb, double *zr);
double sla_rverot (double phi, double ra, double da, double st);
double sla_rvgalc (double r2000, double d2000);
double sla_rvlg (double r2000, double d2000);
double sla_rvlsr (double r2000, double d2000);
int sla_s2tp (double ra, double dec, double raz, double decz, double *xi,
              double *eta, int *j);
double sla_sep (double a1, double b1, double a2, double b2);
int sla_smatrx (int n, double *ap, double y[], double *d, int *jf, double *wp,
                int iw[]);
int sla_subet (double rc, double dc, double eq, double *rm, double *dm);
int sla_supgal (double dsl, double dsb, double *dl, double *db);
int sla_tp2s (double xi, double eta, double raz, double decz, double *ra,
              double *dec);
double sla_vdv (double va[3], double vb[3]);
int sla_vn (double v[3], double uv[3], double *vm);
int sla_vxv (double va[3], double vb[3], double vc[3]);
int sla_wait (double delay);
