
/***************************************************************

		stdbus.h

   Constants and masks used by the interface to the Hydra-WIYN
   stdbus rack.

***************************************************************/

#define LAMP_ON		0
#define LAMP_OFF	1
#define LAMP_NULL	2

#define LAMP_OK		0
#define LAMP_ERROR	-1

/* bit positions for lamp status reports */

#define LAMP1	9
#define LAMP2	8
#define LAMP3	7
#define LAMP4	6
#define LAMP5	5
#define LAMP6	4
#define LAMP7	3
#define LAMP8	2

#define QZ1	10

/* bit positions for lamp cable status reports */

#define CU_CABLE	10
#define TH_CABLE	 9

#define CU_CONNECTED	1
#define TH_CONNECTED	2
#define NONE_CONNECTED	3

#define CABLE_CONNECTED	0
#define CABLE_UNHOOKED	1

#define CABLE_ERROR	-1

/* bit positions for vacuum status */

#define  VAC_ON		0
#define  VAC_AMBIENT	1
#define  VAC_NULL 	2

#define VAC_OK		0
#define VAC_ERROR	-1

#define  PIER_VAC	7
#define  FP_VAC		8
#define  FP_VALVE	10

/* bit positions for leds */

#define  LED_POWER	10

/* bit positions for screen */

#define  SCREEN_IN 	0
#define  SCREEN_OUT 	1
#define  SCREEN_NULL 	2

#define  SCREEN_OK	0
#define  SCREEN_ERR	-1

#define  SCREEN_LIM1	9
#define  SCREEN_LIM2	10

#define LOCKOUT_BIT	10

#define LOCKOUT_ON	0
#define LOCKOUT_OFF 	1
#define LOCKOUT_NULL 	2

#define LOCKOUT_OK	0
#define LOCKOUT_ERR	-1

/* bit positions for tv Status */

#define TV_POWER_OFF	0
#define TV_POWER_ON	1
#define TV_INTENSITY_ON 2
#define TV_HIVOLTAGE_ON 3
#define TV_NULL		4

#define TV_OK	 	 0
#define TV_ERROR	-1

#define  GRIP_BIT_1	7
#define  GRIP_BIT_2	8

#define  FOPS_BIT_1	9
#define  FOPS_BIT_2	10

/* bit positions for hinge Status */

#define  HINGE_OPEN 	0
#define  HINGE_CLOSED   1
#define  HINGE_NULL 	2

#define HINGE_OK	0
#define HINGE_ERR	-1

#define  HINGE_BIT	10

int stdTHlamps (int axis_ord, int arg);
int stdCUlamps (int axis_ord, int arg);
int stdQZlamps (int axis_ord, int arg);
int stdLampConnected (int axis_ord);
int stdLampStatus (int axis_ord);
int stdVacSwitch (int axis_ord, int arg);
int stdVacStatus (int axis_ord);
int stdGripLED (int axis_ord, int arg);
int stdGripLEDstatus (int axis_ord);
int stdScreen (int axis_ord, int arg);
int stdScreenStatus (int axis_ord);
int stdScreenLockout (int axis_ord);
int stdTvStatus (int axis_ord);
int stdHingeStatus (int axis_ord);
int stdACindexers (int axis_ord, int arg);
int stdACdrives (int axis_ord, int arg);
int stdACcalib (int axis_ord, int arg);
int stdACpier (int axis_ord, int arg);
int stdACvalve (int axis_ord, int arg);
