
/*
		guiInterface.c

   Stuff to allow us to connect to the GUI...

*/

#include <sys/types.h>
#include <stdio.h>
#include <sys/socket.h>
#include <string.h>
#include <unistd.h>

#include "tk.h"
#include "tkInterface.h"
#include "guiInterface.h"

/*****************************/

void guiGripPosCallback (int x, int y);

/* Globals */

int GraphSocket;

static struct sockaddr GraphSocketName;

static int addrLen = sizeof (GraphSocketName.sa_data);

/*****************************/

extern int setBlock (int flag);
extern void setGripPosCallback (void (*function) ( /* ??? */ ));
extern void syncCable (void);
extern int syncScreen (void);

/* A function to create a socket and listen for connections */
void guiSocketCreate (void)
{
    unlink (GUI_SOCKET_NAME);

    GraphSocketName.sa_family = AF_UNIX;

    strcpy (GraphSocketName.sa_data, GUI_SOCKET_NAME);

    /* create the socket to listen for the graphics program */

    GraphSocket = socket (PF_UNIX, SOCK_STREAM, 0);

    if (GraphSocket < 0)
        perror ("Fiborg graphic socket");

    if (bind (GraphSocket, &GraphSocketName, sizeof (GraphSocketName.sa_data))
        != 0)
        perror ("Fiborg graphic bind");

    if (listen (GraphSocket, 2) != 0)
        perror ("Fiborg graphic listen");
}

void guiConnectCallback (ClientData clientData, int mask)
{
    /* fputs( "Socket ready for connect\n", stderr ); */

    graphCmds = guiSocketConnect ();

    ((hydraClientData *) clientData)->stream = graphCmds;

    ((hydraClientData *) clientData)->loopFlag = ONE_PASS;

    Tk_CreateFileHandler (fileno (graphCmds),
                          TK_READABLE, execStream, clientData);

    setBlock (1);               /* since this could be happening during an exec */

    setGripPosCallback (guiGripPosCallback);

    (void) syncCable ();        /* causes the gui to match the current cable */
#ifdef HYDRA_II
#else
    (void) syncScreen ();       /* causes the gui to match the current state of screen */
#endif
// HYDRA_II

}

/* A function to handle connections */

FILE *guiSocketConnect (void)
{

    int graphConnectSocket;
    FILE *guiSocketStream;

    graphConnectSocket = accept (GraphSocket, &GraphSocketName, &addrLen);

    if (graphConnectSocket < 0)
        perror ("Fiborg graphic accept");

    guiSocketStream = fdopen (graphConnectSocket, "r+");

    if (guiSocketStream != NULL)
    {
        setbuf (guiSocketStream, 0);
        /*fputs( "Connected  to GUI.\n", stderr ); */
    }
    else
    {
        fputs ("ERROR: Couldn't connect  to GUI.\n", stderr);
    }

    return (guiSocketStream);
}

void guiSocketDisconnect (void)
{
}

void guiGripPosCallback (int x, int y)
{
    if (graphCmds != NULL)
    {
        fprintf (graphCmds, "showgrip %d %d\n", x, y);
    }
}
